Package org.jboss.resteasy.wadl

## Class ResteasyWadlServiceRegistry

- java.lang.Object
- - org.jboss.resteasy.wadl.ResteasyWadlServiceRegistry

-     public class ResteasyWadlServiceRegistry
      extends Object

  Author:
    Weinan Li

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyWadlServiceRegistry​(ResteasyWadlServiceRegistry parent, ResourceMethodRegistry registry, ResteasyProviderFactory providerFactory, ResourceLocator locator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `collectResourceMethodsUntilRoot​(List<Method> methods)` |
    `String` | `getFunctionPrefix()` |
    `List<ResteasyWadlServiceRegistry>` | `getLocators()` |
    `ResteasyProviderFactory` | `getProviderFactory()` |
    `Map<String,​ResteasyWadlResourceMetaData>` | `getResources()` |
    `String` | `getUri()` |
    `boolean` | `isRoot()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWadlServiceRegistry

          public ResteasyWadlServiceRegistry​(ResteasyWadlServiceRegistry parent,
                                             ResourceMethodRegistry registry,
                                             ResteasyProviderFactory providerFactory,
                                             ResourceLocator locator)

  - ### Method Detail

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

    - #### getResources

          public Map<String,​ResteasyWadlResourceMetaData> getResources()

    - #### getLocators

          public List<ResteasyWadlServiceRegistry> getLocators()

    - #### getUri

          public String getUri()

    - #### isRoot

          public boolean isRoot()

    - #### getFunctionPrefix

          public String getFunctionPrefix()

    - #### collectResourceMethodsUntilRoot

          public void collectResourceMethodsUntilRoot​(List<Method> methods)